GDB (xrefs)

Functions
amd64.c File Reference
`#include "amd64.h"`
`#include "x86-xstate.h"`
`#include <stdlib.h>`
`#include "../features/i386/64bit-avx.c"`
`#include "../features/i386/64bit-avx512.c"`
`#include "../features/i386/64bit-core.c"`
`#include "../features/i386/64bit-linux.c"`
`#include "../features/i386/64bit-mpx.c"`
`#include "../features/i386/64bit-pkeys.c"`
`#include "../features/i386/64bit-segments.c"`
`#include "../features/i386/64bit-sse.c"`
`#include "../features/i386/x32-core.c"`

Go to the source code of this file.

## Functions
target_desc * | amd64_create_target_description (uint64_t xcr0, bool is_x32, bool is_linux)

## Function Documentation

## ◆ amd64_create_target_description()

target_desc* amd64_create_target_description | ( | uint64_t | xcr0,
|  | bool | is_x32,
|  | bool | is_linux
| ) |  |

Definition at line 38 of file amd64.c.

References allocate_target_description(), create_feature_i386_64bit_avx(), create_feature_i386_64bit_avx512(), create_feature_i386_64bit_core(), create_feature_i386_64bit_linux(), create_feature_i386_64bit_mpx(), create_feature_i386_64bit_pkeys(), create_feature_i386_64bit_segments(), create_feature_i386_64bit_sse(), create_feature_i386_x32_core(), regnum, set_tdesc_architecture(), set_tdesc_osabi(), X86_XSTATE_AVX, X86_XSTATE_AVX512, X86_XSTATE_MPX, and X86_XSTATE_PKRU.

Referenced by amd64_linux_read_description(), and amd64_target_description().